Failing to process multiple datasets with varying degrees of overlap

Gentlemen (and women),
I’m having issues getting webODM to process datasets. I had initially started using 70% front/sidelap and have worked my way up to 80% with the same problems. I’m under the impression that it’s asking me for more overlap, but I feel like this shouldn’t be the problem as DJI Terra is processing the same imagery without a hiccup. I want to use webODM going forward as it appears to be the more capable software package, but at this juncture, I’m left scratching my head. Also, I’m in a relatively rural area, so I really don’t have the ability to upload the imagery to make the composite at the moment, but I will work on that to help in the troubleshooting process.

Thanks in Advance,
Adam

MSI Creator P65, Intel i7, RTX 2060, 16Gb RAM, Windows 10, used the installer for webODM
DJI P4 multispectral.

[INFO] Initializing ODM 2.8.0 - Sat May 07 06:27:16 2022
[INFO] ==============
[INFO] auto_boundary: True
[INFO] boundary: {}
[INFO] build_overviews: False
[INFO] camera_lens: auto
[INFO] cameras: {}
[INFO] cog: True
[INFO] copy_to: None
[INFO] crop: 3
[INFO] debug: False
[INFO] dem_decimation: 1
[INFO] dem_euclidean_map: False
[INFO] dem_gapfill_steps: 3
[INFO] dem_resolution: 5
[INFO] depthmap_resolution: 640
[INFO] dsm: False
[INFO] dtm: False
[INFO] end_with: odm_postprocess
[INFO] fast_orthophoto: False
[INFO] feature_quality: high
[INFO] feature_type: sift
[INFO] force_gps: False
[INFO] gcp: None
[INFO] geo: None
[INFO] gps_accuracy: 10
[INFO] ignore_gsd: False
[INFO] matcher_neighbors: 8
[INFO] matcher_type: flann
[INFO] max_concurrency: 12
[INFO] merge: all
[INFO] mesh_octree_depth: 11
[INFO] mesh_size: 200000
[INFO] min_num_features: 10000
[INFO] name: ebcdb34f-bd69-4142-9c63-4ab76bd63f2b
[INFO] optimize_disk_space: False
[INFO] orthophoto_compression: DEFLATE
[INFO] orthophoto_cutline: False
[INFO] orthophoto_kmz: False
[INFO] orthophoto_no_tiled: False
[INFO] orthophoto_png: False
[INFO] orthophoto_resolution: 5
[INFO] pc_classify: False
[INFO] pc_csv: False
[INFO] pc_ept: True
[INFO] pc_filter: 2.5
[INFO] pc_geometric: False
[INFO] pc_las: False
[INFO] pc_quality: medium
[INFO] pc_rectify: False
[INFO] pc_sample: 0
[INFO] pc_tile: False
[INFO] primary_band: auto
[INFO] project_path: C:\WebODM\resources\app\apps\NodeODM\data
[INFO] radiometric_calibration: none
[INFO] rerun: None
[INFO] rerun_all: False
[INFO] rerun_from: [‘odm_postprocess’]
[INFO] resize_to: 2048
[INFO] sfm_algorithm: incremental
[INFO] skip_3dmodel: False
[INFO] skip_band_alignment: False
[INFO] skip_orthophoto: False
[INFO] skip_report: False
[INFO] sm_cluster: None
[INFO] smrf_scalar: 1.25
[INFO] smrf_slope: 0.15
[INFO] smrf_threshold: 0.5
[INFO] smrf_window: 18.0
[INFO] split: 999999
[INFO] split_image_groups: None
[INFO] split_overlap: 150
[INFO] texturing_data_term: gmi
[INFO] texturing_keep_unseen_faces: False
[INFO] texturing_outlier_removal_type: gauss_clamping
[INFO] texturing_skip_global_seam_leveling: True
[INFO] texturing_skip_local_seam_leveling: False
[INFO] texturing_tone_mapping: none
[INFO] tiles: False
[INFO] time: False
[INFO] use_3dmesh: False
[INFO] use_exif: False
[INFO] use_fixed_camera_params: False
[INFO] use_hybrid_bundle_adjustment: False
[INFO] verbose: False
[INFO] ==============
[INFO] Running dataset stage
[INFO] Loading dataset from: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\images
[INFO] Loading images database: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\images.json
[INFO] Found 1200 usable images
[INFO] Coordinates file already exist: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\odm_georeferencing\coords.txt
[INFO] Model geo file already exist: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\odm_georeferencing\odm_georeferencing_model_geo.txt
[INFO] Parsing SRS header: WGS84 UTM 16N
[INFO] Finished dataset stage
[INFO] Running split stage
[INFO] Normal dataset, will process all at once.
[INFO] Finished split stage
[INFO] Running merge stage
[INFO] Normal dataset, nothing to merge.
[INFO] Finished merge stage
[INFO] Running opensfm stage
[WARNING] C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\image_list.txt already exists, not rerunning OpenSfM setup
[WARNING] C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\exif already exists, not rerunning photo to metadata
[WARNING] Detect features already done: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\features exists
[WARNING] Match features already done: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\matches exists
[WARNING] Found a valid OpenSfM tracks file in: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\tracks.csv
[WARNING] Found a valid OpenSfM reconstruction file in: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\reconstruction.json
[INFO] Already extracted cameras
[INFO] Export reconstruction stats
[WARNING] Found existing reconstruction stats C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\stats\stats.json
[WARNING] Will skip exporting C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\reconstruction.geocoords.json
[INFO] Undistorting C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm …
[WARNING] Already undistorted (nominal)
[INFO] Undistorting C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm …
[WARNING] Already undistorted (primary)
[WARNING] Found a valid OpenSfM NVM reconstruction file in: C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted/reconstruction.nvm
[INFO] Multiple bands found
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_rgb.nvm
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_blue.nvm
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_green.nvm
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_red.nvm
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_rededge.nvm
[WARNING] Found existing NVM file C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\reconstruction_nir.nvm
[INFO] Finished opensfm stage
[INFO] Running openmvs stage
[WARNING] Found existing C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\openmvs\scene.mvs
[INFO] Running dense reconstruction. This might take a while.
[INFO] Estimating depthmaps
[INFO] CUDA drivers detected
[INFO] running “C:\WebODM\resources\app\apps\ODM\SuperBuild\install\bin\OpenMVS\DensifyPointCloud” “C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\openmvs\scene.mvs” --resolution-level 2 --min-resolution 320 --max-resolution 1600 --max-threads 12 --number-views-fuse 2 -w “C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\openmvs\depthmaps” -v 0 --geometric-iters 0
[WARNING] OpenMVS failed with GPU, is your graphics card driver up to date? Falling back to CPU.
[INFO] running “C:\WebODM\resources\app\apps\ODM\SuperBuild\install\bin\OpenMVS\DensifyPointCloud” “C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\openmvs\scene.mvs” --resolution-level 2 --min-resolution 320 --max-resolution 1600 --max-threads 12 --number-views-fuse 2 -w “C:\WebODM\resources\app\apps\NodeODM\data\ebcdb34f-bd69-4142-9c63-4ab76bd63f2b\opensfm\undistorted\openmvs\depthmaps” -v 0 --geometric-iters 0 --cuda-device -1
===== Dumping Info for Geeks (developers need this to fix bugs) =====
Child returned 1
Traceback (most recent call last):
File “C:\WebODM\resources\app\apps\ODM\stages\openmvs.py”, line 88, in process
run_densify()
File “C:\WebODM\resources\app\apps\ODM\stages\openmvs.py”, line 83, in run_densify
system.run(’"%s" “%s” %s’ % (context.omvs_densify_path,
File “C:\WebODM\resources\app\apps\ODM\opendm\system.py”, line 106, in run
raise SubprocessException(“Child returned {}”.format(retcode), retcode)
opendm.system.SubprocessException: Child returned 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\WebODM\resources\app\apps\ODM\stages\odm_app.py”, line 94, in execute
self.first_stage.run()
File “C:\WebODM\resources\app\apps\ODM\opendm\types.py”, line 346, in run
self.next_stage.run(outputs)
File “C:\WebODM\resources\app\apps\ODM\opendm\types.py”, line 346, in run
self.next_stage.run(outputs)
File “C:\WebODM\resources\app\apps\ODM\opendm\types.py”, line 346, in run
self.next_stage.run(outputs)
[Previous line repeated 1 more time]
File “C:\WebODM\resources\app\apps\ODM\opendm\types.py”, line 327, in run
self.process(self.args, outputs)
File “C:\WebODM\resources\app\apps\ODM\stages\openmvs.py”, line 95, in process
run_densify()
File “C:\WebODM\resources\app\apps\ODM\stages\openmvs.py”, line 83, in run_densify
system.run(’"%s" “%s” %s’ % (context.omvs_densify_path,
File “C:\WebODM\resources\app\apps\ODM\opendm\system.py”, line 106, in run
raise SubprocessException(“Child returned {}”.format(retcode), retcode)
opendm.system.SubprocessException: Child returned 1

===== Done, human-readable information to follow… =====

[ERROR] Uh oh! Processing stopped because of strange values in the reconstruction. This is often a sign that the input data has some issues or the software cannot deal with it. Have you followed best practices for data acquisition? See Flying Tips — OpenDroneMap 2.8.4 documentation

1 Like

Welcome!

Sorry for the trouble!

Would you be willing to re-try it with --max-concurrency 1 to try and limit resource usage? I think you might be running out of memory.

If you can get that dataset uploaded somewhere like our DroneDB.app, that would be excellent. Then we can test the dataset on our own machines to see if it processes at all or not.

Hey, so for whatever reason, it has begun processing datasets without a hiccup, and I’m not entirely sure why. I had reset all of the processing settings to their defaults (and they ran successfully) and then I changed the camera and radiometric settings back to better suit the sensor (and they ran successfully). I’m not sure what changed, but it’s working now?

Insight other than that I wasn’t looking at it right?

1 Like

Not certain! Just glad you’re processing well now :slight_smile: